Spam scanning investigation
[gnucomo.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94         $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96  configure.lineno config.status.lineno
97 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
98 CONFIG_HEADER = config.h
99 CONFIG_CLEAN_FILES =
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116         ctags-recursive dvi-recursive html-recursive info-recursive \
117         install-data-recursive install-dvi-recursive \
118         install-exec-recursive install-html-recursive \
119         install-info-recursive install-pdf-recursive \
120         install-ps-recursive install-recursive installcheck-recursive \
121         installdirs-recursive pdf-recursive ps-recursive \
122         tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124   case $$AM_UPDATE_INFO_DIR in \
125     n|no|NO) false;; \
126     *) (install-info --version) >/dev/null 2>&1;; \
127   esac
128 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
129   distclean-recursive maintainer-clean-recursive
130 am__recursive_targets = \
131   $(RECURSIVE_TARGETS) \
132   $(RECURSIVE_CLEAN_TARGETS) \
133   $(am__extra_recursive_targets)
134 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
135         cscope distdir dist dist-all distcheck
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
137         $(LISP)config.h.in
138 # Read a list of newline-separated strings from the standard input,
139 # and print each of them once, without duplicates.  Input order is
140 # *not* preserved.
141 am__uniquify_input = $(AWK) '\
142   BEGIN { nonempty = 0; } \
143   { items[$$0] = 1; nonempty = 1; } \
144   END { if (nonempty) { for (i in items) print i; }; } \
145 '
146 # Make sure the list of sources is unique.  This is necessary because,
147 # e.g., the same source file might be shared among _SOURCES variables
148 # for different programs/libraries.
149 am__define_uniq_tagged_files = \
150   list='$(am__tagged_files)'; \
151   unique=`for i in $$list; do \
152     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
153   done | $(am__uniquify_input)`
154 ETAGS = etags
155 CTAGS = ctags
156 CSCOPE = cscope
157 DIST_SUBDIRS = $(SUBDIRS)
158 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
159         COPYING ChangeLog INSTALL NEWS README TODO compile depcomp \
160         install-sh missing mkinstalldirs
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162 distdir = $(PACKAGE)-$(VERSION)
163 top_distdir = $(distdir)
164 am__remove_distdir = \
165   if test -d "$(distdir)"; then \
166     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167       && rm -rf "$(distdir)" \
168       || { sleep 5 && rm -rf "$(distdir)"; }; \
169   else :; fi
170 am__post_remove_distdir = $(am__remove_distdir)
171 am__relativize = \
172   dir0=`pwd`; \
173   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174   sed_rest='s,^[^/]*/*,,'; \
175   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176   sed_butlast='s,/*[^/]*$$,,'; \
177   while test -n "$$dir1"; do \
178     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179     if test "$$first" != "."; then \
180       if test "$$first" = ".."; then \
181         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183       else \
184         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185         if test "$$first2" = "$$first"; then \
186           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187         else \
188           dir2="../$$dir2"; \
189         fi; \
190         dir0="$$dir0"/"$$first"; \
191       fi; \
192     fi; \
193     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194   done; \
195   reldir="$$dir2"
196 DIST_ARCHIVES = $(distdir).tar.gz
197 GZIP_ENV = --best
198 DIST_TARGETS = dist-gzip
199 distuninstallcheck_listfiles = find . -type f -print
200 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
202 distcleancheck_listfiles = find . -type f -print
203 ACLOCAL = @ACLOCAL@
204 AMTAR = @AMTAR@
205 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
206 AUTOCONF = @AUTOCONF@
207 AUTOHEADER = @AUTOHEADER@
208 AUTOMAKE = @AUTOMAKE@
209 AWK = @AWK@
210 CC = @CC@
211 CCDEPMODE = @CCDEPMODE@
212 CFLAGS = @CFLAGS@
213 CPPFLAGS = @CPPFLAGS@
214 CXX = @CXX@
215 CXXCPP = @CXXCPP@
216 CXXDEPMODE = @CXXDEPMODE@
217 CXXFLAGS = @CXXFLAGS@
218 CYGPATH_W = @CYGPATH_W@
219 DEFS = @DEFS@
220 DEPDIR = @DEPDIR@
221 ECHO_C = @ECHO_C@
222 ECHO_N = @ECHO_N@
223 ECHO_T = @ECHO_T@
224 EGREP = @EGREP@
225 EXEEXT = @EXEEXT@
226 GREP = @GREP@
227 INSTALL = @INSTALL@
228 INSTALL_DATA = @INSTALL_DATA@
229 INSTALL_PROGRAM = @INSTALL_PROGRAM@
230 INSTALL_SCRIPT = @INSTALL_SCRIPT@
231 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
232 LDFLAGS = @LDFLAGS@
233 LIBOBJS = @LIBOBJS@
234 LIBPQXX_CFLAGS = @LIBPQXX_CFLAGS@
235 LIBPQXX_LIBS = @LIBPQXX_LIBS@
236 LIBS = @LIBS@
237 LTLIBOBJS = @LTLIBOBJS@
238 MAKEINFO = @MAKEINFO@
239 MKDIR_P = @MKDIR_P@
240 OBJEXT = @OBJEXT@
241 PACKAGE = @PACKAGE@
242 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
243 PACKAGE_NAME = @PACKAGE_NAME@
244 PACKAGE_STRING = @PACKAGE_STRING@
245 PACKAGE_TARNAME = @PACKAGE_TARNAME@
246 PACKAGE_URL = @PACKAGE_URL@
247 PACKAGE_VERSION = @PACKAGE_VERSION@
248 PATH_SEPARATOR = @PATH_SEPARATOR@
249 PKG_CONFIG = @PKG_CONFIG@
250 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
251 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
252 RANLIB = @RANLIB@
253 SET_MAKE = @SET_MAKE@
254 SHELL = @SHELL@
255 STRIP = @STRIP@
256 VERSION = @VERSION@
257 XML_CONFIG = @XML_CONFIG@
258 abs_builddir = @abs_builddir@
259 abs_srcdir = @abs_srcdir@
260 abs_top_builddir = @abs_top_builddir@
261 abs_top_srcdir = @abs_top_srcdir@
262 ac_ct_CC = @ac_ct_CC@
263 ac_ct_CXX = @ac_ct_CXX@
264 am__include = @am__include@
265 am__leading_dot = @am__leading_dot@
266 am__quote = @am__quote@
267 am__tar = @am__tar@
268 am__untar = @am__untar@
269 bindir = @bindir@
270 build_alias = @build_alias@
271 builddir = @builddir@
272 datadir = @datadir@
273 datarootdir = @datarootdir@
274 docdir = @docdir@
275 dvidir = @dvidir@
276 exec_prefix = @exec_prefix@
277 host_alias = @host_alias@
278 htmldir = @htmldir@
279 includedir = @includedir@
280 infodir = @infodir@
281 install_sh = @install_sh@
282 libdir = @libdir@
283 libexecdir = @libexecdir@
284 localedir = @localedir@
285 localstatedir = @localstatedir@
286 mandir = @mandir@
287 mkdir_p = @mkdir_p@
288 oldincludedir = @oldincludedir@
289 pdfdir = @pdfdir@
290 prefix = @prefix@
291 program_transform_name = @program_transform_name@
292 psdir = @psdir@
293 runstatedir = @runstatedir@
294 sbindir = @sbindir@
295 sharedstatedir = @sharedstatedir@
296 srcdir = @srcdir@
297 sysconfdir = @sysconfdir@
298 target_alias = @target_alias@
299 top_build_prefix = @top_build_prefix@
300 top_builddir = @top_builddir@
301 top_srcdir = @top_srcdir@
302 SUBDIRS = src test
303 all: config.h
304         $(MAKE) $(AM_MAKEFLAGS) all-recursive
305
306 .SUFFIXES:
307 am--refresh: Makefile
308         @:
309 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
310         @for dep in $?; do \
311           case '$(am__configure_deps)' in \
312             *$$dep*) \
313               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
314               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
315                 && exit 0; \
316               exit 1;; \
317           esac; \
318         done; \
319         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
320         $(am__cd) $(top_srcdir) && \
321           $(AUTOMAKE) --gnu Makefile
322 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
323         @case '$?' in \
324           *config.status*) \
325             echo ' $(SHELL) ./config.status'; \
326             $(SHELL) ./config.status;; \
327           *) \
328             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
329             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
330         esac;
331
332 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
333         $(SHELL) ./config.status --recheck
334
335 $(top_srcdir)/configure:  $(am__configure_deps)
336         $(am__cd) $(srcdir) && $(AUTOCONF)
337 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
338         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
339 $(am__aclocal_m4_deps):
340
341 config.h: stamp-h1
342         @test -f $@ || rm -f stamp-h1
343         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
344
345 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
346         @rm -f stamp-h1
347         cd $(top_builddir) && $(SHELL) ./config.status config.h
348 $(srcdir)/config.h.in:  $(am__configure_deps) 
349         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
350         rm -f stamp-h1
351         touch $@
352
353 distclean-hdr:
354         -rm -f config.h stamp-h1
355
356 # This directory's subdirectories are mostly independent; you can cd
357 # into them and run 'make' without going through this Makefile.
358 # To change the values of 'make' variables: instead of editing Makefiles,
359 # (1) if the variable is set in 'config.status', edit 'config.status'
360 #     (which will cause the Makefiles to be regenerated when you run 'make');
361 # (2) otherwise, pass the desired values on the 'make' command line.
362 $(am__recursive_targets):
363         @fail=; \
364         if $(am__make_keepgoing); then \
365           failcom='fail=yes'; \
366         else \
367           failcom='exit 1'; \
368         fi; \
369         dot_seen=no; \
370         target=`echo $@ | sed s/-recursive//`; \
371         case "$@" in \
372           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
373           *) list='$(SUBDIRS)' ;; \
374         esac; \
375         for subdir in $$list; do \
376           echo "Making $$target in $$subdir"; \
377           if test "$$subdir" = "."; then \
378             dot_seen=yes; \
379             local_target="$$target-am"; \
380           else \
381             local_target="$$target"; \
382           fi; \
383           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
384           || eval $$failcom; \
385         done; \
386         if test "$$dot_seen" = "no"; then \
387           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
388         fi; test -z "$$fail"
389
390 ID: $(am__tagged_files)
391         $(am__define_uniq_tagged_files); mkid -fID $$unique
392 tags: tags-recursive
393 TAGS: tags
394
395 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
396         set x; \
397         here=`pwd`; \
398         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
399           include_option=--etags-include; \
400           empty_fix=.; \
401         else \
402           include_option=--include; \
403           empty_fix=; \
404         fi; \
405         list='$(SUBDIRS)'; for subdir in $$list; do \
406           if test "$$subdir" = .; then :; else \
407             test ! -f $$subdir/TAGS || \
408               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
409           fi; \
410         done; \
411         $(am__define_uniq_tagged_files); \
412         shift; \
413         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
414           test -n "$$unique" || unique=$$empty_fix; \
415           if test $$# -gt 0; then \
416             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
417               "$$@" $$unique; \
418           else \
419             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
420               $$unique; \
421           fi; \
422         fi
423 ctags: ctags-recursive
424
425 CTAGS: ctags
426 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
427         $(am__define_uniq_tagged_files); \
428         test -z "$(CTAGS_ARGS)$$unique" \
429           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
430              $$unique
431
432 GTAGS:
433         here=`$(am__cd) $(top_builddir) && pwd` \
434           && $(am__cd) $(top_srcdir) \
435           && gtags -i $(GTAGS_ARGS) "$$here"
436 cscope: cscope.files
437         test ! -s cscope.files \
438           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
439 clean-cscope:
440         -rm -f cscope.files
441 cscope.files: clean-cscope cscopelist
442 cscopelist: cscopelist-recursive
443
444 cscopelist-am: $(am__tagged_files)
445         list='$(am__tagged_files)'; \
446         case "$(srcdir)" in \
447           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
448           *) sdir=$(subdir)/$(srcdir) ;; \
449         esac; \
450         for i in $$list; do \
451           if test -f "$$i"; then \
452             echo "$(subdir)/$$i"; \
453           else \
454             echo "$$sdir/$$i"; \
455           fi; \
456         done >> $(top_builddir)/cscope.files
457
458 distclean-tags:
459         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
460         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
461
462 distdir: $(DISTFILES)
463         $(am__remove_distdir)
464         test -d "$(distdir)" || mkdir "$(distdir)"
465         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
466         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
467         list='$(DISTFILES)'; \
468           dist_files=`for file in $$list; do echo $$file; done | \
469           sed -e "s|^$$srcdirstrip/||;t" \
470               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
471         case $$dist_files in \
472           */*) $(MKDIR_P) `echo "$$dist_files" | \
473                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
474                            sort -u` ;; \
475         esac; \
476         for file in $$dist_files; do \
477           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
478           if test -d $$d/$$file; then \
479             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
480             if test -d "$(distdir)/$$file"; then \
481               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
482             fi; \
483             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
484               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
485               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
486             fi; \
487             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
488           else \
489             test -f "$(distdir)/$$file" \
490             || cp -p $$d/$$file "$(distdir)/$$file" \
491             || exit 1; \
492           fi; \
493         done
494         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
495           if test "$$subdir" = .; then :; else \
496             $(am__make_dryrun) \
497               || test -d "$(distdir)/$$subdir" \
498               || $(MKDIR_P) "$(distdir)/$$subdir" \
499               || exit 1; \
500             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
501             $(am__relativize); \
502             new_distdir=$$reldir; \
503             dir1=$$subdir; dir2="$(top_distdir)"; \
504             $(am__relativize); \
505             new_top_distdir=$$reldir; \
506             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
507             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
508             ($(am__cd) $$subdir && \
509               $(MAKE) $(AM_MAKEFLAGS) \
510                 top_distdir="$$new_top_distdir" \
511                 distdir="$$new_distdir" \
512                 am__remove_distdir=: \
513                 am__skip_length_check=: \
514                 am__skip_mode_fix=: \
515                 distdir) \
516               || exit 1; \
517           fi; \
518         done
519         -test -n "$(am__skip_mode_fix)" \
520         || find "$(distdir)" -type d ! -perm -755 \
521                 -exec chmod u+rwx,go+rx {} \; -o \
522           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
523           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
524           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
525         || chmod -R a+r "$(distdir)"
526 dist-gzip: distdir
527         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
528         $(am__post_remove_distdir)
529
530 dist-bzip2: distdir
531         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
532         $(am__post_remove_distdir)
533
534 dist-lzip: distdir
535         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
536         $(am__post_remove_distdir)
537
538 dist-xz: distdir
539         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
540         $(am__post_remove_distdir)
541
542 dist-tarZ: distdir
543         @echo WARNING: "Support for distribution archives compressed with" \
544                        "legacy program 'compress' is deprecated." >&2
545         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
546         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
547         $(am__post_remove_distdir)
548
549 dist-shar: distdir
550         @echo WARNING: "Support for shar distribution archives is" \
551                        "deprecated." >&2
552         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
553         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
554         $(am__post_remove_distdir)
555
556 dist-zip: distdir
557         -rm -f $(distdir).zip
558         zip -rq $(distdir).zip $(distdir)
559         $(am__post_remove_distdir)
560
561 dist dist-all:
562         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
563         $(am__post_remove_distdir)
564
565 # This target untars the dist file and tries a VPATH configuration.  Then
566 # it guarantees that the distribution is self-contained by making another
567 # tarfile.
568 distcheck: dist
569         case '$(DIST_ARCHIVES)' in \
570         *.tar.gz*) \
571           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
572         *.tar.bz2*) \
573           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
574         *.tar.lz*) \
575           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
576         *.tar.xz*) \
577           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
578         *.tar.Z*) \
579           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
580         *.shar.gz*) \
581           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
582         *.zip*) \
583           unzip $(distdir).zip ;;\
584         esac
585         chmod -R a-w $(distdir)
586         chmod u+w $(distdir)
587         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
588         chmod a-w $(distdir)
589         test -d $(distdir)/_build || exit 0; \
590         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
591           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
592           && am__cwd=`pwd` \
593           && $(am__cd) $(distdir)/_build/sub \
594           && ../../configure \
595             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
596             $(DISTCHECK_CONFIGURE_FLAGS) \
597             --srcdir=../.. --prefix="$$dc_install_base" \
598           && $(MAKE) $(AM_MAKEFLAGS) \
599           && $(MAKE) $(AM_MAKEFLAGS) dvi \
600           && $(MAKE) $(AM_MAKEFLAGS) check \
601           && $(MAKE) $(AM_MAKEFLAGS) install \
602           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
603           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
604           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
605                 distuninstallcheck \
606           && chmod -R a-w "$$dc_install_base" \
607           && ({ \
608                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
609                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
610                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
611                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
612                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
613               } || { rm -rf "$$dc_destdir"; exit 1; }) \
614           && rm -rf "$$dc_destdir" \
615           && $(MAKE) $(AM_MAKEFLAGS) dist \
616           && rm -rf $(DIST_ARCHIVES) \
617           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
618           && cd "$$am__cwd" \
619           || exit 1
620         $(am__post_remove_distdir)
621         @(echo "$(distdir) archives ready for distribution: "; \
622           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
623           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
624 distuninstallcheck:
625         @test -n '$(distuninstallcheck_dir)' || { \
626           echo 'ERROR: trying to run $@ with an empty' \
627                '$$(distuninstallcheck_dir)' >&2; \
628           exit 1; \
629         }; \
630         $(am__cd) '$(distuninstallcheck_dir)' || { \
631           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
632           exit 1; \
633         }; \
634         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
635            || { echo "ERROR: files left after uninstall:" ; \
636                 if test -n "$(DESTDIR)"; then \
637                   echo "  (check DESTDIR support)"; \
638                 fi ; \
639                 $(distuninstallcheck_listfiles) ; \
640                 exit 1; } >&2
641 distcleancheck: distclean
642         @if test '$(srcdir)' = . ; then \
643           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
644           exit 1 ; \
645         fi
646         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
647           || { echo "ERROR: files left in build directory after distclean:" ; \
648                $(distcleancheck_listfiles) ; \
649                exit 1; } >&2
650 check-am: all-am
651 check: check-recursive
652 all-am: Makefile config.h
653 installdirs: installdirs-recursive
654 installdirs-am:
655 install: install-recursive
656 install-exec: install-exec-recursive
657 install-data: install-data-recursive
658 uninstall: uninstall-recursive
659
660 install-am: all-am
661         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
662
663 installcheck: installcheck-recursive
664 install-strip:
665         if test -z '$(STRIP)'; then \
666           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
667             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
668               install; \
669         else \
670           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
671             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
672             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
673         fi
674 mostlyclean-generic:
675
676 clean-generic:
677
678 distclean-generic:
679         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
680         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
681
682 maintainer-clean-generic:
683         @echo "This command is intended for maintainers to use"
684         @echo "it deletes files that may require special tools to rebuild."
685 clean: clean-recursive
686
687 clean-am: clean-generic mostlyclean-am
688
689 distclean: distclean-recursive
690         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
691         -rm -f Makefile
692 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
693
694 dvi: dvi-recursive
695
696 dvi-am:
697
698 html: html-recursive
699
700 html-am:
701
702 info: info-recursive
703
704 info-am:
705
706 install-data-am:
707
708 install-dvi: install-dvi-recursive
709
710 install-dvi-am:
711
712 install-exec-am:
713
714 install-html: install-html-recursive
715
716 install-html-am:
717
718 install-info: install-info-recursive
719
720 install-info-am:
721
722 install-man:
723
724 install-pdf: install-pdf-recursive
725
726 install-pdf-am:
727
728 install-ps: install-ps-recursive
729
730 install-ps-am:
731
732 installcheck-am:
733
734 maintainer-clean: maintainer-clean-recursive
735         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
736         -rm -rf $(top_srcdir)/autom4te.cache
737         -rm -f Makefile
738 maintainer-clean-am: distclean-am maintainer-clean-generic
739
740 mostlyclean: mostlyclean-recursive
741
742 mostlyclean-am: mostlyclean-generic
743
744 pdf: pdf-recursive
745
746 pdf-am:
747
748 ps: ps-recursive
749
750 ps-am:
751
752 uninstall-am:
753
754 .MAKE: $(am__recursive_targets) all install-am install-strip
755
756 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
757         am--refresh check check-am clean clean-cscope clean-generic \
758         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
759         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
760         distcheck distclean distclean-generic distclean-hdr \
761         distclean-tags distcleancheck distdir distuninstallcheck dvi \
762         dvi-am html html-am info info-am install install-am \
763         install-data install-data-am install-dvi install-dvi-am \
764         install-exec install-exec-am install-html install-html-am \
765         install-info install-info-am install-man install-pdf \
766         install-pdf-am install-ps install-ps-am install-strip \
767         installcheck installcheck-am installdirs installdirs-am \
768         maintainer-clean maintainer-clean-generic mostlyclean \
769         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
770         uninstall-am
771
772 .PRECIOUS: Makefile
773
774
775 # Tell versions [3.59,3.63) of GNU make to not export all variables.
776 # Otherwise a system limit (for SysV at least) may be exceeded.
777 .NOEXPORT: